#define _XTAL_FREQ 4000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config.h"
#include "assets/ds18b20/ds18b20.h"
#include "assets/MAX7219/MAX7219.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  CMCON = 7;                     //Disable Comparator thus making Port A Digital
  MAX7219_init();
   
  while(1)
  {
    signed int rawTemp = 0;

    if(ds18b20_read(&rawTemp))
    {
      signed int tempr = ds18b20_toInt(rawTemp);
      MAX7219_displayNum(tempr);
    }
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------